I just got a canon pixma mp280 printer, foolishly forgetting to check whether it was compatible with my ubuntu 10.04/hp pavillion HDX 18 setup. When I open system > administration > printing, I see drivers available pixma mp220 and pixma mp500, but not mp280. Does anyone know whether this is available, or if/when it will be, or whether there's another way to get my printer working?